using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;
using System.Diagnostics;

namespace MemDataTable_CS
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();            
        }

        private DataTable dt1;

        private void Form1_Load(object sender, System.EventArgs e)
        {
            dt1 = new DataTable();
            dt1.Columns.Add("String 1");
            dt1.Rows.Add(new object[] { "Apple" });
            dt1.Rows.Add(new object[] { "Banana" });
            dt1.Rows.Add(new object[] { "Cherry" });
            dt1.Rows.Add(new object[] { "Grape" });
            dt1.Rows.Add(new object[] { "Watermelon" });
            dt1.AcceptChanges();            

            dt1.TableName = "Band 0";

            this.ultraGrid1.SetDataBinding(dt1, null);
            this.ultraDropDown1.SetDataBinding(dt1, null);
            this.ultraDropDown1.ValueMember = "String 1";
            this.ultraDropDown1.DisplayMember = "String 1";
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            UltraGridLayout layout = e.Layout;
            UltraGridBand band = layout.Bands[0];
            UltraGridOverride ov = layout.Override;

            band.Columns["String 1"].ValueList = this.ultraDropDown1;
            band.Columns["String 1"].AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;

        }
    }    
}